> For the complete documentation index, see [llms.txt](https://docs.stacks.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.stacks.co/reference/stacks.js/stacks-connect/methods/stx_getaddresses.md).

# stx\_getAddresses

Requests the user's Stacks addresses from the connected wallet.

***

### Usage

```ts
import { request } from '@stacks/connect';

const result = await request('stx_getAddresses', {
  network: 'mainnet',
});

for (const entry of result.addresses) {
  console.log(`Address: ${entry.address}`);
  console.log(`Public Key: ${entry.publicKey}`);
}
```

#### Notes

* This method returns only Stacks (STX) addresses. For BTC addresses, use [`getAddresses`](/reference/stacks.js/stacks-connect/methods/getaddresses.md).
* If you need to prompt the user to select a wallet first, use [`connect`](/reference/stacks.js/stacks-connect/connection/connect.md) instead.
* Results are automatically cached in local storage when `enableLocalStorage` is `true` (the default).

[**Reference Link**](https://github.com/stx-labs/connect/blob/main/packages/connect/src/methods.ts#L118)

***

### Signature

```ts
function request(
  'stx_getAddresses',
  params?: GetAddressesParams
): Promise<GetAddressesResult>
```

***

### Returns

`GetAddressesResult`

```ts
interface GetAddressesResult {
  addresses: AddressEntry[];
}

interface AddressEntry {
  symbol?: string;
  address: string;
  publicKey: string;
}
```

| Property    | Type             | Description                                  |
| ----------- | ---------------- | -------------------------------------------- |
| `addresses` | `AddressEntry[]` | An array of address entries from the wallet. |

Each `AddressEntry` contains:

| Property    | Type                | Description                                  |
| ----------- | ------------------- | -------------------------------------------- |
| `symbol`    | `string` (optional) | The symbol for the address (e.g. `'STX'`).   |
| `address`   | `string`            | The Stacks address string.                   |
| `publicKey` | `string`            | The hex-encoded public key for this address. |

***

### Parameters

#### network (optional)

* **Type**: `NetworkString`

The network to request addresses for (e.g. `'mainnet'`, `'testnet'`, `'devnet'`).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.stacks.co/reference/stacks.js/stacks-connect/methods/stx_getaddresses.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
